cURL
curl --request GET \
--url https://api.yourjobsearchgenius.ai/v1/users/{_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yourjobsearchgenius.ai/v1/users/{_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yourjobsearchgenius.ai/v1/users/{_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"uniqueUserId": "<string>",
"onboardingCompleted": true,
"lastLoginDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"autoLogin": {
"autoLoginUrl": "<string>",
"autoLoginCode": "<string>"
},
"engagementStats": {
"resumesCount": 123,
"interviewsCount": 123,
"jobTracking": {
"totalJobs": 123,
"statusBreakdown": {
"applied": 123,
"interviewing": 123,
"offered": 123,
"rejected": 123
}
},
"mockInterviews": {
"totalInterviews": 123,
"interviews": [
{
"_id": "<string>",
"title": "<string>",
"stageType": "<string>",
"difficulty": "<string>",
"isCompleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"takeCount": 123,
"averageScore": 123,
"allTakes": [
{
"_id": "<string>",
"title": "<string>",
"stageType": "<string>",
"difficulty": "<string>",
"isCompleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"score": 123
}
]
}
]
},
"offerNegotiationsCount": 123,
"contactsCount": 123,
"coverLettersCount": 123
}
},
"success": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Institution - Users
Get User Details
Retrieves detailed information about a specific user including engagement statistics.
GET
/
users
/
{_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The user's unique identifier
Pattern:
^[a-fA-F0-9]{24}$Example:
"507f1f77bcf86cd799439011"
⌘I